Inactive [ECON] Gold2Economy v1.4 - Turn your gold into money [1337]

Discussion in 'Inactive/Unsupported Plugins' started by EdTheLoon, Jul 9, 2011.

  1. Offline

    EdTheLoon

    Gold2Economy v1.4
    [​IMG]
    Download: Dropbox | GitHub
    Source: GitHub
    Requires: Register & a supported economy | Permissions (Optional) | SuperPerms (Optional)

    Tired of having to sell things to a server to increase your monetal holdings? Then tire no more! This plugin allows you to convert the gold ingots (and now supports iron ingots and diamonds) in your inventory to a configurable amount in any economy system supported by Register. Permissions support is available as well for those that are looking to control who can and cannot use this plugin!
    Previous Changelogs
    Show Spoiler

    V1.2
    • Added support for converting iron and diamond
    • Added new permission nodes
    • Added new configuration nodes (Delete your previous config.yml and let the plugin generate a new one)
    V1.1
    • Added SuperPerms support (Permissions still supported)
    • Added new nodes to the config file. Again you'll need to let the plugin recreate your config file by deleting the config and starting your server
    • Minor bug fix
    V1.0
    • Added BOSEconomy support
    • Changed permission node from Gold2iConomy.use to Gold2Economy.use
    • Changed permission node from Gold2iConomy.admin to Gold2Economy.admin
    • Re-wrote the config handler (You will need to delete your current config file if upgrading from anything less than Version 1)
    v0.3.2
    • Major bug fix when using /gi all
    v0.3.1
    • /gi-reload is now /gi reload
    • Added /gi to show conversion rate
    • Added /gi all
    • Colour coded response messages
    • Minor bug fix

    v0.2
    • Added Permissions support
    • Added OP only support if Permissions is not detected for the /gi-reload command
    v0.1
    • Fixed bug where typing anything but a number would cause an internal error and nasty error mesage
    • Added /gi-reload
    • Added /gi
    • Initial release

    I hope this plugin is useful to your server and would also like to add that this is my first plugin. I made it because I could not find anything that did this task and needed it for my server. I decided to release this for public use because I found it very useful. Any feedback and/or bug reports would be greatly appreciated.
     
    ShootToMaim, Pim1234, Maxorq and 2 others like this.
  2. Offline

    Pepe578

    I just found out. My console says the register .jar might be to old or to new.
    I think Im using 1185.
    Is that one supported or do I have to update for 1337
    Please answer if its needed so that I can know if I need to update bukkit
     
  3. Offline

    EdTheLoon

    Keep a copy of your 1185 version and try 1337. I think the new configuration was added in built 1317 so you could try that as well if you wanted but it is most likely because you're using an older build
     
  4. Offline

    nathannlax

    Oh Okay. I saw the large body of coding on the register page and was overwhelmed. Ill download this now.
     
  5. Offline

    mangine

    I'm getting Register errors, does it work if Register is in lib folder? If not, can you make it work there? Register show errors when on plugins folder, gold2economy shows when Register isn't there, can we make something about that?
     
  6. Offline

    EdTheLoon

    Register needs to be in the plugin folder. What errors are you getting?
     
  7. Offline

    Pepe578

    This only works for iconomy 6.0.3?
    Not for 6.0.4 or 6.0.5?
     
  8. Offline

    EdTheLoon

    If Register needs to be updated to reflect these changes then you must download the newest version (if there is one).

    I am not the one keeping Register up to date. Look at the link provided in the first post and see if it's compatible.
     
  9. Offline

    savra

    would be really cool u if u could turn ur money into gold ignots too :)
     
  10. Offline

    OZ4RK

    Will it recognize BOSEconomy if typed in preferred? Still says no currency system found
     
  11. Offline

    EdTheLoon

    It should detect it even if you put iConomy in the preferred. What BOSEconomy version are you using?
     
  12. Offline

    OZ4RK

    BOSEconomy 0.7.2, the latest. Really need this to work
     
  13. Offline

    denys23

    please someone can help me
    here th server give me this error:
    "22:38:16 [SEVERE] Error occurred while enabling Gold2Economy v1.4 (Is it up to d
    ate?): null
    java.lang.NullPointerException
    at org.bukkit.plugin.java.JavaPlugin.getResource(JavaPlugin.java:156)
    at org.bukkit.plugin.java.JavaPlugin.reloadConfig(JavaPlugin.java:133)
    at org.bukkit.plugin.java.JavaPlugin.getConfig(JavaPlugin.java:125)
    at com.edtheloon.gold2economy.configHandler.<init>(configHandler.java:40
    )
    at com.edtheloon.gold2economy.gold2economy.onEnable(gold2economy.java:42
    )
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:183)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    .java:957)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    r.java:280)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:176)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:159
    )
    at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:337)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:324)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:161)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:388)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    22:38:16 [INFO] [NoLagg] Auto-save field bound to 'u'!
    22:38:16 [INFO] NoLagg version 1.49.2 is enabled!
    22:38:16 [INFO] [Register] Payment method found (iConomy version: 6)
    22:38:16 [WARNING] Server permissions file permissions.yml is not valid YAML.
    java.lang.ClassCastException: java.lang.String cannot be cast to java.util.Map
    at org.bukkit.craftbukkit.CraftServer.loadCustomPermissions(CraftServer.
    java:442)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:165
    )
    at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:337)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:324)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:161)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:388)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)"
     
  14. Offline

    EdTheLoon

    What version of Bukkit are you using?
     
  15. Offline

    denys23

    I currently use version 1.0.0, but this same situation happened when I used version 1.8.1
     
  16. Offline

    EdTheLoon

    @denys23 Yes but what build of Bukkit are you using? The minimum build this works on is 1317.
     
  17. Offline

    denys23

    now you got me, how do I know which build I'm using?
     
  18. Offline

    shanko

    This doesn't seem to work on the dev build of 1.0, not sure if you want to update for that or not though
     
  19. Offline

    Legolas75893

    What if I wanted to configure what items to use? My server doesn't use gold, diamond, iron, etc. It uses feathers, soon to be gold nuggets, and nothing else.
     
  20. Offline

    EdTheLoon

    Bukkit doesn't use 1.8.1 and 1.0 as version numbers. Instead they use the build number. It will tell you what build it is when you start up - at the top of your console trace somewhere.

    What build is dev build 1.0...?

    Not possible in this plugin. I may make another plugin for this but I'm not 100% sure. I'm a very busy person and I have next to no time for this plugin either. You should maybe consider putting it in the requests section?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  21. Offline

    Legolas75893

    KK, just asking :3
     
  22. Offline

    shanko

    the 1.0 build is build 1480

    and I just tried it again and it doesnt work, it gives the "is this plugin up to date?" error

    edit: also you can type /gi gold but it wont do anything, the help menu for /gi just shows up

    edit:
    Code:
    org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:957)
    21.11 22:17:05 [Server] INFO     at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:183)
    21.11 22:17:05 [Server] INFO     at com.edtheloon.gold2economy.gold2economy.onEnable(gold2economy.java:42)
    21.11 22:17:05 [Server] INFO     at com.edtheloon.gold2economy.configHandler.<init>(configHandler.java:40)
    21.11 22:17:05 [Server] INFO     at org.bukkit.plugin.java.JavaPlugin.getConfig(JavaPlugin.java:125)
    21.11 22:17:05 [Server] INFO     at org.bukkit.plugin.java.JavaPlugin.reloadConfig(JavaPlugin.java:133)
    21.11 22:17:05 [Server] INFO     at org.bukkit.plugin.java.JavaPlugin.getResource(JavaPlugin.java:156)
    21.11 22:17:05 [Server] INFO java.lang.NullPointerException
    21.11 22:17:05 [Server] SEVERE Error occurred while enabling Gold2Economy v1.4 (Is it up to date?): null
     
  23. Offline

    EdTheLoon

    I'm guessing they've changed the API for the Configuration class. Will fix when I get round to updating. For now I'll be playing Skyrim though.

    In response to the /gi gold thing. That's because it's missing a parameter which is the quantity to convert. It is not programmed to do anything in response to /gi gold apart from show the menu because it's missing parameters.
     
  24. Offline

    shanko

    FYI it works on a newer build
     
  25. Offline

    EdTheLoon

    So it does work on the latest build? With zero errors/bugs?
     
  26. Offline

    shanko

    yeah it seems to be working fine now :p
     
  27. Offline

    EdTheLoon

    Hmm. Odd. You didn't accidentally do anything that triggered a fix?
     
  28. Offline

    shanko

    Hmm no the only thing that changed was updating the craftbukkit to the newer dev build
     
  29. Offline

    EdTheLoon

    There may have been a bug in the build you were using then.
     
  30. Offline

    mcferson

    can we convert other materials if we add them ?
    such as lapis-lazuli, redstone, ... ? (because lapis is more rare than iron)

    and, with last dev build and iConomy 6, i get an internal error and a warning about the version of Gold2Economy (which is probably not up to date).
     
  31. Offline

    EdTheLoon

    It only converts iron, gold and diamond. This is not for use with dev builds. It states in the title of the thread that it's for use with the recommended build 1337. I will only test against recommended builds as I have very little time for this project.
     

Share This Page